## Work In Progress

Almost Done...

## About XmrMemes

Meme site for Monero. You can submit memes and get paid.

## Dependencies on a LAMP Server

```
sudo apt install php-bcmath supervisor composer php-curl php-xml
```

## Installing Vendor Packages

```
composer install
```

## Running Monero Daemon

```
./monerod --testnet
```

```
./monero-wallet-rpc --testnet --rpc-bind-port 28083 --disable-rpc-login --wallet-dir .
```

## Creating the Database

```
php artisan migrate
```

## Creating Initial Wallet (Set Wallet Name in .env)

```
php artisan db:seed --class=WalletSeeder
```

## Cron Job to process payments

You must set up supervisor https://laravel.com/docs/8.x/queues#supervisor-configuration to process queues (jobs)

Then set up 1 cron job to call

```
* * * * * cd /path-to-your-project && php artisan schedule:run >> /dev/null 2>&1
```

## Config file

Config options are in the .env.example file which should copied into a .env file

## This Project Uses Laravel

Laravel is a web application framework with expressive, elegant syntax. We believe development must be an enjoyable and creative experience to be truly fulfilling. Laravel takes the pain out of development by easing common tasks used in many web projects, such as:

- [Simple, fast routing engine](https://laravel.com/docs/routing).
- [Powerful dependency injection container](https://laravel.com/docs/container).
- Multiple back-ends for [session](https://laravel.com/docs/session) and [cache](https://laravel.com/docs/cache) storage.
- Expressive, intuitive [database ORM](https://laravel.com/docs/eloquent).
- Database agnostic [schema migrations](https://laravel.com/docs/migrations).
- [Robust background job processing](https://laravel.com/docs/queues).
- [Real-time event broadcasting](https://laravel.com/docs/broadcasting).

Laravel is accessible, powerful, and provides tools required for large, robust applications.
