@extends('layouts.app')

@section('content')

<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <div class="row row-cols-1 row-cols-md-2 row-cols-lg-4 grid-memes">
                @foreach ($data['memes'] as $meme)
                <div class="col mb-4">
                    <div class="card">
                        <a href="{{ url('/meme/' . $meme->id) }}">
                            <img src="{{ url($meme->image) }}" class="card-img-top mx-auto d-block" alt="{{ $meme->title }} Meme">
                        </a>
                        <div class="card-body">
                            <a href="{{ url('/meme/' . $meme->id) }}">
                                <h5 class="card-title">{{ $meme->title }}</h5>
                            </a>
                            <p class="card-text">By: <a href="{{ url('/user/' . $meme->user->id) }}">{{ $meme->user->name }}</a></p>
                            <p class="card-text">{{ $meme->meme_tips_total }} XMR Recieved</p>
                            <p class="card-text">{{ $meme->created_at->diffForHumans() }}</p>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
            <div class="d-flex justify-content-center w-100">
                {{ $data['memes']->links() }}
            </div>
        </div>
    </div>
</div>
@endsection
