@extends('layouts.app')

@section('content')
<div class="container">
    <div class="row justify-content-center">
        <div class="col-md-12">
            <h3 class="text-center mb-3">Memes By {{ $data['user']->name }}</h3>
            <p class="text-center">Total Earnings: {{ $data['user']->tips_total }}</h3>
            <p class="text-center">Total Memes: {{ $data['user']->memes_total }}</h3>
            <div class="row row-cols-1 row-cols-md-2 row-cols-lg-4 grid-memes">
                @foreach ($data['memes'] as $meme)
                <div class="col mb-4">
                    <div class="card">
                        <a href="{{ url('/meme/' . $meme->id) }}">
                            @if ($meme->image)
                                <img src="{{ url($meme->image) }}" class="card-img-top mx-auto d-block" alt="{{ $meme->title }} Meme">
                            @else
                                <img src="https://picsum.photos/200" class="card-img-top" alt="{{ $meme->title }} Meme">
                            @endif
                        </a>
                        <div class="card-body">
                            <a href="{{ url('/meme/' . $meme->id) }}">
                                <h5 class="card-title">{{ $meme->title }}</h5>
                            </a>
                            <p class="card-text">{{ $meme->meme_tips_total }} XMR Recieved</p>
                            <p class="card-text">{{ $meme->created_at->diffForHumans() }}</p>
                        </div>
                    </div>
                </div>
                @endforeach
            </div>
        </div>
    </div>
    <div class="d-flex justify-content-center w-100">
        {{ $data['memes']->links() }}
    </div>
</div>
@endsection
